Piwigo Bugtracker

Viewing Issue Advanced Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0000232 [Piwigo] navigation feature N/A 2005.12.03 12:19 2006.06.04 10:51
Reporter ericFabre View Status public  
Assigned To chrisaga
Priority low Resolution fixed Platform
Status closed   OS
Projection minor fix   OS Version
ETA none Fixed in Version BSF branch (dev) Product Version 1.5.0
  Target Version Product Build
Summary 0000232: présence de la disquette "enregistrer" permanente.... pour les photos ?
Description quelqu'un aurait il la solution pour que le symbole de la disquette "enregistrer" demeure même quand il s'agit d'une photo, et (condition obligatoire) que celle-ci est disponible en grand format dans son dossier "pwg_high" ?

Bien sur il suffit de suivre lien et une fois l'image affichée à l'écran, de cliquer sur le bouton droit, de faire "enregistrer l'image sous"... mais pour l'utilisateur lambda, qui pose régulièrement la question, une icone pointant vers le fichier (contenu dans pwg_high !! quand il existe !!!) serait super.
Steps To Reproduce
Additional Information
Tags No tags attached.
browser any
Database engine and version
PHP version
Web server Apache 1.3.x
Attached Files

- Relationships

-  Notes
(0000498)
volcom (developer)
2005.12.07 11:00

remarque très intéressante, je suis pour aussi !
(0000502)
chrisaga (developer)
2005.12.11 11:01

Juste pour vérifier que l'on est d'accord sur les spec :

Si l'image est disponible en grand format, on a une icone "disquette" dans les outils en haut à gauche qui permet de télécharger cette imgage grand format.

Ceci en plus du lien actuel qui permet de l'afficher dans une fenêtre pop-up.
(0000503)
ericFabre (reporter)
2005.12.11 22:25

oui chrisaga, c'est tout à fait ça !
merci.
(0000514)
chrisaga (developer)
2005.12.19 20:04
edited on: 2005.12.19 20:58

- Fonctionalité intégrée en BSF. Reste à faire gestion des messages qui n'arriveraient que si un petit malin s'amusait à forger l'URL à downloader
- Un MOD est disponible pour qu'Eric n'ait pas à attendre PWG 1.6 http://phpwebgallery.net/ext/view_extension.php?id=24 [^]

Zut, j'ai oublié de donner le numéro de révision
[Subversion] r985

(0000515)
ericFabre (reporter)
2005.12.19 20:45
edited on: 2005.12.19 21:02

Merci, de votre rapidité et efficacité... mais, en faisant le petit changement, j'obtiens une page blanche et le message :


Parse error: parse error, expecting `')'' in c:\serveur\www\abonnes3\picture.php on line 559


... ???

eric. v-images.com

en fait, j'ai trouvé, il manque un " ' " devant "U_DOWNLOAD'", pourriez vous modifier en fonction le fichier "Picture.php" du MOD ?

amicalement,
eric Fabre.

(0000516)
chrisaga (developer)
2005.12.19 21:01

Puisqu'il s'agit du MOD, il vaudrait mieux en discuter sur le forum.
En premier vérifier que la modif est correctement appliqué. Normalement la ligne 559 n'est pas touchée. On ajoute uniquement 4 lignes après la ligne 570.

Voir : http://svn.gna.org/viewcvs/phpwebgallery/trunk/picture.php?rev=985&view=diff&r1=985&r2=984&p1=trunk/picture.php&p2=/trunk/picture.php [^]
(0000519)
chrisaga (developer)
2005.12.19 22:58

Erreur de couper/coller pour générer le MOD.
Corrigé !
(0001019)
chrisaga (developer)
2006.06.04 10:51

Sould have been closed long ago

- Issue History
Date Modified Username Field Change
2005.12.03 12:19 ericFabre New Issue
2005.12.03 12:19 ericFabre browser => any
2005.12.03 12:19 ericFabre Web server => Apache 1.3.x
2005.12.03 18:38 chrisaga Assigned To => chrisaga
2005.12.03 18:38 chrisaga Status new => acknowledged
2005.12.03 18:40 chrisaga Priority normal => low
2005.12.03 18:40 chrisaga Projection none => minor fix
2005.12.03 18:40 chrisaga Category display => navigation
2005.12.07 11:00 volcom Note Added: 0000498
2005.12.11 11:01 chrisaga Note Added: 0000502
2005.12.11 11:01 chrisaga Status acknowledged => feedback
2005.12.11 22:25 ericFabre Note Added: 0000503
2005.12.19 20:04 chrisaga Note Added: 0000514
2005.12.19 20:04 chrisaga Status feedback => resolved
2005.12.19 20:04 chrisaga Fixed in Version => BSF branch (dev)
2005.12.19 20:06 chrisaga Status resolved => feedback
2005.12.19 20:06 chrisaga Resolution open => reopened
2005.12.19 20:07 chrisaga Note Edited: 0000514
2005.12.19 20:08 chrisaga Status feedback => resolved
2005.12.19 20:45 ericFabre Status resolved => feedback
2005.12.19 20:45 ericFabre Note Added: 0000515
2005.12.19 20:58 chrisaga Note Edited: 0000514
2005.12.19 21:01 chrisaga Note Added: 0000516
2005.12.19 21:02 ericFabre Note Edited: 0000515
2005.12.19 22:58 chrisaga Note Added: 0000519
2005.12.19 22:58 chrisaga Status feedback => resolved
2006.06.04 10:51 chrisaga Status resolved => closed
2006.06.04 10:51 chrisaga Note Added: 0001019
2006.06.04 10:51 chrisaga Resolution reopened => fixed


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Contact
Powered by Mantis Bugtracker